Package Details: nordvpn-bin 3.3.1_3-1

Git Clone URL: https://aur.archlinux.org/nordvpn-bin.git (read-only)
Package Base: nordvpn-bin
Description: NordVPN CLI tool for Linux
Upstream URL: https://nordvpn.com/download/linux/
Keywords: networking nordvpn openvpn security vpn
Licenses: custom
Conflicts: openvpn-nordvpn
Provides: nordvpn
Submitter: metiis
Maintainer: metiis (Martoko, bubuntux)
Last Packager: Martoko
Votes: 50
Popularity: 6.138823
First Submitted: 2018-08-29 12:13
Last Updated: 2019-09-11 12:00

Pinned Comments

metiis commented on 2018-11-20 11:01

If you're seeing the message "Daemon is unreachable, is systemd running?", that means that the nordvpn daemon is not started. Please run "sudo systemctl enable --now nordvpnd" to start it and run it at boot, or "sudo systemctl start nordvpnd" to only start it once.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

sfncmp1729 commented on 2019-08-07 20:55

Anyone else having problems with autoconnect? Any hint on how to solve this issue? Also, I suspect that the killswitch is not working as it should. For example, if I disconnect from nordvpn after a while my downloads resume.

JRO012 commented on 2019-08-03 12:04

@Martoko That link resolved my issue. If anyone else has the problem, I was needed to install linux headers and select my kernel.

sudo pacman -S linux-headers

Thanks!

Martoko commented on 2019-08-03 11:39

@JRO012 I do not have Manjaro installation right now, but a quick Google search revealed the following pages of interest Arch Linux wiki on WireGuard, Blog post detailing how to install WireGuard for Manjaro

@erkexzcx "we" are not refusing anything. Metiis is the one with the power to make you a maintainer, and AFAIK he is not even aware of your comments.

We welcome any suggestions on how to update the PKGBUILD. Examples include jackhistoria's suggestion of adding WireGuard as a dependency and your suggestion of creating a script to automatically update. Both suggestions have been implemented.

In the future, please refrain from general statements, such as "they don't even know how to maintain this", and instead highlight specific issues, such as "why isn't wireguard added as a dependency".

erkexzcx commented on 2019-08-03 11:12

@JRO012 they don't even know how to maintain this. It was described by NORDVPN about new requirwd dependencies of new release, but they refuse to help me update this PKGBUILD.

JRO012 commented on 2019-08-03 10:38

Very new to all this and I have an error. When I try to Nordvpn set technology NordLynx, I get "Missing NordLynx kernel module or configuration utility." I have wireguard-dkms and wireguard-tools installed. Any help is appreciated (also if this isn't the place to request help, let me know and I'll delete this post).

Dell XPS 13 9360 Operating System: Manjaro Linux Kernel: Linux 4.19.62-1-MANJARO Architecture: x86-64

Martoko commented on 2019-08-02 22:11

@erkexzcx what I meant to say was that I am a co-maintainer. I have written a script like you talked about and I have set it to run daily. If I have missed anything in my script feel free to make a pull request, otherwise the problem of the package being constantly out of date because of minor changes should be fixed now. Thank you for offering your help.

erkexzcx commented on 2019-08-02 21:12

@Martoko i am not doing anythink by now. First I would like to be a maintainer, otherwise spending time would be useless.

Martoko commented on 2019-08-02 20:35

@erkexzcx I can't make you a maintainer (AFAIK only metiis can), but here is a script that I've written Martoko/maintain-nordvpn-bin, feel free to make a pull request with improvements or suggestions.

esdaniel commented on 2019-08-02 16:50

Thanks for the tip, jackhistoria.

FYI anyone curious about the wireguard stuff on previous post, see here: https://nordvpn.com/blog/nordlynx-protocol-wireguard/

Follow these steps to switch to NordLynx: Install WireGuard. Open the terminal and enter ‘nordvpn set technology NordLynx’. Enter ‘nordvpn c’ to connect to VPN.

jackhistoria commented on 2019-08-02 13:03

@metiis: please add: wireguard-tools wireguard-arch since the nordlynx technology is now included in the app that needs that packages to work properly. (https://nordvpn.com/blog/nordlynx-protocol-wireguard/) NordLynx works like charm for me now after adding wireguard. (sudo pacman -S wireguard-tools wireguard-arch) Maybe disable cyberSec in the settings)

It is under heavy development regarding that and has new versions sometimes twice a day: (https://repo.nordvpn.com/deb/nordvpn/debian/pool/main/)